### Function Macro

# Cogl clear_object

since: 13

#### Declaration [src]

    #define cogl_clear_object (
      object_ptr
    )

#### Description [src]

Clears a reference to a `CoglObject`.

`object_ptr` must not be `NULL`.

If the reference is `NULL` then this function does nothing. Otherwise, the reference count of the object is decreased using `cogl_object_unref()` and the pointer is set to `NULL`.

Available since: 13

This function is not directly available to language bindings.

#### Parameters

`object_ptr`

  Type: `-`

  A pointer to a `CoglObject` reference.